import { ElementRef, EventEmitter, OnChanges, Renderer2, SimpleChanges } from '@angular/core';
import { TransitionMode } from '../types/TransitionMode';
import { TransitionState } from '../types/TransitionState';
export declare class TransitionDirective implements OnChanges {
    private renderer;
    private element;
    mode: TransitionMode;
    name: string;
    private static supportedTransitions;
    anjTransition: any;
    end: EventEmitter<TransitionState>;
    private state;
    constructor(renderer: Renderer2, element: ElementRef, mode: TransitionMode, name: string);
    ngOnChanges(changes: SimpleChanges): void;
    handleTransition(event: TransitionEvent): void;
    private initEnter;
    private transitionIn;
    private transitionOut;
    private endTransition;
}
