/**
 * This is based heavily on the Material CDK Portal.
 * I just trimmed it down a bunch.
 */
import { ElementRef, NgZone, TemplateRef, ViewContainerRef } from '@angular/core';
import { DomOutlet } from './DomOutlet';
import { TemplateDirective } from './template.directive';
export declare class Template {
    private templateDirective;
    context?: any;
    private host;
    readonly origin: ElementRef;
    readonly templateRef: TemplateRef<any>;
    readonly viewContainerRef: ViewContainerRef;
    readonly zone: NgZone;
    constructor(templateDirective: TemplateDirective, context?: any);
    attach(host: any, context?: any | undefined): any;
    detach(): void;
    setAttachedHost(host: DomOutlet | null): void;
}
